import 'package:krow_core/core.dart';
import 'package:krow_domain/krow_domain.dart';

import '../repositories/attire_repository.dart';

/// Use case to fetch available attire options.
class GetAttireOptionsUseCase extends NoInputUseCase<List<AttireItem>> {
  final AttireRepository _repository;

  /// Creates a [GetAttireOptionsUseCase].
  GetAttireOptionsUseCase(this._repository);

  @override
  Future<List<AttireItem>> call() {
    return _repository.getAttireOptions();
  }
}
